Package org.opensaml.xmlsec.encryption.impl

# Class ConcatKDFParamsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.ConcatKDFParamsImpl

All Implemented Interfaces:
  `XMLObject`, `ConcatKDFParams`

public class ConcatKDFParamsImpl extends AbstractXMLObject implements ConcatKDFParams
Concrete implementation of `ConcatKDFParams`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithmID`
AlgorithmID.
`private DigestMethod`
`digestMethod`
DigestMethod.
`private String`
`partyUInfo`
PartyUInfo.
`private String`
`partyVInfo`
PartyVInfo.
`private String`
`suppPrivInfo`
SuppPrivInfo.
`private String`
`suppPubInfo`
SuppPubInfo.

### Fields inherited from interface org.opensaml.xmlsec.encryption.ConcatKDFParams

`ALGORITHM_ID_ATTRIBUTE_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, PARTY_U_INFO_ATTRIBUTE_NAME, PARTY_V_INFO_ATTRIBUTE_NAME, SUPP_PRIV_INFO_ATTRIBUTE_NAME, SUPP_PUB_INFO_ATTRIBUTE_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConcatKDFParamsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithmID()`
Gets the AlgorithmID attribute in its padded hex-encoded form.
`byte[]`
`getAlgorithmIDBytes()`
Gets the AlgorithmID attribute in its padded byte array form.
`DigestMethod`
`getDigestMethod()`
Gets the digest method.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getPartyUInfo()`
Gets the PartyUInfo attribute in its padded hex-encoded form.
`byte[]`
`getPartyUInfoBytes()`
Gets the PartyUInfo attribute in its padded byte array form.
`String`
`getPartyVInfo()`
Gets the PartyVInfo attribute in its padded hex-encoded form.
`byte[]`
`getPartyVInfoBytes()`
Gets the PartyVInfo attribute in its padded byte array form.
`String`
`getSuppPrivInfo()`
Gets the SuppPrivInfo attribute in its padded hex-encoded form.
`byte[]`
`getSuppPrivInfoBytes()`
Gets the SuppPrivInfo attribute in its padded byte array form.
`String`
`getSuppPubInfo()`
Gets the SuppPubInfo attribute in its padded hex-encoded form.
`byte[]`
`getSuppPubInfoBytes()`
Gets the SuppPubInfo attribute in its padded byte array form.
`void`
`setAlgorithmID(String newAlgorithmID)`
Sets the AlgorithmID attribute.
`void`
`setAlgorithmIDBytes(byte[] newAlgorithmID)`
Sets the AlgorithmID attribute.
`void`
`setDigestMethod(DigestMethod newDigestMethod)`
Sets the digest method.
`void`
`setPartyUInfo(String newPartyUInfo)`
Sets the PartyUInfo attribute.
`void`
`setPartyUInfoBytes(byte[] newPartyUInfo)`
Sets the PartyUInfo attribute.
`void`
`setPartyVInfo(String newPartyVInfo)`
Sets the PartyVInfo attribute.
`void`
`setPartyVInfoBytes(byte[] newPartyVInfo)`
Sets the PartyVInfo attribute.
`void`
`setSuppPrivInfo(String newSuppPrivInfo)`
Sets the SuppPrivInfo attribute.
`void`
`setSuppPrivInfoBytes(byte[] newSuppPrivInfo)`
Sets the SuppPrivInfo attribute.
`void`
`setSuppPubInfo(String newSuppPubInfo)`
Sets the SuppPubInfo attribute.
`void`
`setSuppPubInfoBytes(byte[] newSuppPubInfo)`
Sets the SuppPubInfo attribute.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### digestMethod

@Nullable private DigestMethod digestMethod
DigestMethod.

### algorithmID

@Nullable private String algorithmID
AlgorithmID.

### partyUInfo

@Nullable private String partyUInfo
PartyUInfo.

### partyVInfo

@Nullable private String partyVInfo
PartyVInfo.

### suppPubInfo

@Nullable private String suppPubInfo
SuppPubInfo.

### suppPrivInfo

@Nullable private String suppPrivInfo
SuppPrivInfo.

## Constructor Details

### ConcatKDFParamsImpl

protected ConcatKDFParamsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - element local name
  `namespacePrefix` - namespace prefix

## Method Details

### getDigestMethod

@Nullable public DigestMethod getDigestMethod()
Gets the digest method.

Specified by:
  `getDigestMethod` in interface `ConcatKDFParams`
Returns:
  the digest method

### setDigestMethod

public void setDigestMethod(@Nullable DigestMethod newDigestMethod)
Sets the digest method.

Specified by:
  `setDigestMethod` in interface `ConcatKDFParams`
Parameters:
  `newDigestMethod` - the digest method

### getAlgorithmID

@Nullable public String getAlgorithmID()
Gets the AlgorithmID attribute in its padded hex-encoded form.

Specified by:
  `getAlgorithmID` in interface `ConcatKDFParams`
Returns:
  the `AlgorithmID` attribute

### setAlgorithmID

public void setAlgorithmID(@Nullable String newAlgorithmID)
Sets the AlgorithmID attribute.

Specified by:
  `setAlgorithmID` in interface `ConcatKDFParams`
Parameters:
  `newAlgorithmID` - the AlgorithmID attribute in its padded hex-encoded form

### getAlgorithmIDBytes

@Nullable public byte[] getAlgorithmIDBytes()
Gets the AlgorithmID attribute in its padded byte array form.

Specified by:
  `getAlgorithmIDBytes` in interface `ConcatKDFParams`
Returns:
  the `AlgorithmID` attribute

### setAlgorithmIDBytes

public void setAlgorithmIDBytes(@Nullable byte[] newAlgorithmID)
Sets the AlgorithmID attribute.

Specified by:
  `setAlgorithmIDBytes` in interface `ConcatKDFParams`
Parameters:
  `newAlgorithmID` - the AlgorithmID attribute in its padded byte array form

### getPartyUInfo

@Nullable public String getPartyUInfo()
Gets the PartyUInfo attribute in its padded hex-encoded form.

Specified by:
  `getPartyUInfo` in interface `ConcatKDFParams`
Returns:
  the PartyUInfo attribute

### setPartyUInfo

public void setPartyUInfo(@Nullable String newPartyUInfo)
Sets the PartyUInfo attribute.

Specified by:
  `setPartyUInfo` in interface `ConcatKDFParams`
Parameters:
  `newPartyUInfo` - PartyUInfo attribute in its padded hex-encoded form

### getPartyUInfoBytes

@Nullable public byte[] getPartyUInfoBytes()
Gets the PartyUInfo attribute in its padded byte array form.

Specified by:
  `getPartyUInfoBytes` in interface `ConcatKDFParams`
Returns:
  the PartyUInfo attribute

### setPartyUInfoBytes

public void setPartyUInfoBytes(@Nullable byte[] newPartyUInfo)
Sets the PartyUInfo attribute.

Specified by:
  `setPartyUInfoBytes` in interface `ConcatKDFParams`
Parameters:
  `newPartyUInfo` - PartyUInfo attribute in its padded byte array form

### getPartyVInfo

@Nullable public String getPartyVInfo()
Gets the PartyVInfo attribute in its padded hex-encoded form.

Specified by:
  `getPartyVInfo` in interface `ConcatKDFParams`
Returns:
  the PartyVInfo attribute

### setPartyVInfo

public void setPartyVInfo(@Nullable String newPartyVInfo)
Sets the PartyVInfo attribute.

Specified by:
  `setPartyVInfo` in interface `ConcatKDFParams`
Parameters:
  `newPartyVInfo` - PartyVInfo attribute in its padded hex-encoded form

### getPartyVInfoBytes

@Nullable public byte[] getPartyVInfoBytes()
Gets the PartyVInfo attribute in its padded byte array form.

Specified by:
  `getPartyVInfoBytes` in interface `ConcatKDFParams`
Returns:
  the PartyVInfo attribute

### setPartyVInfoBytes

public void setPartyVInfoBytes(@Nullable byte[] newPartyVInfo)
Sets the PartyVInfo attribute.

Specified by:
  `setPartyVInfoBytes` in interface `ConcatKDFParams`
Parameters:
  `newPartyVInfo` - PartyVInfo attribute in its padded byte array form

### getSuppPubInfo

@Nullable public String getSuppPubInfo()
Gets the SuppPubInfo attribute in its padded hex-encoded form.

Specified by:
  `getSuppPubInfo` in interface `ConcatKDFParams`
Returns:
  the SuppPubInfo attribute

### setSuppPubInfo

public void setSuppPubInfo(@Nullable String newSuppPubInfo)
Sets the SuppPubInfo attribute.

Specified by:
  `setSuppPubInfo` in interface `ConcatKDFParams`
Parameters:
  `newSuppPubInfo` - SuppPubInfo attribute in its padded hex-encoded form

### getSuppPubInfoBytes

@Nullable public byte[] getSuppPubInfoBytes()
Gets the SuppPubInfo attribute in its padded byte array form.

Specified by:
  `getSuppPubInfoBytes` in interface `ConcatKDFParams`
Returns:
  the SuppPubInfo attribute

### setSuppPubInfoBytes

public void setSuppPubInfoBytes(@Nullable byte[] newSuppPubInfo)
Sets the SuppPubInfo attribute.

Specified by:
  `setSuppPubInfoBytes` in interface `ConcatKDFParams`
Parameters:
  `newSuppPubInfo` - SuppPubInfo attribute in its padded byte array form

### getSuppPrivInfo

@Nullable public String getSuppPrivInfo()
Gets the SuppPrivInfo attribute in its padded hex-encoded form.

Specified by:
  `getSuppPrivInfo` in interface `ConcatKDFParams`
Returns:
  the SuppPrivInfo attribute

### setSuppPrivInfo

public void setSuppPrivInfo(@Nullable String newSuppPrivInfo)
Sets the SuppPrivInfo attribute.

Specified by:
  `setSuppPrivInfo` in interface `ConcatKDFParams`
Parameters:
  `newSuppPrivInfo` - SuppPrivInfo attribute in its padded hex-encoded form

### getSuppPrivInfoBytes

@Nullable public byte[] getSuppPrivInfoBytes()
Gets the SuppPrivInfo attribute in its padded byte array form.

Specified by:
  `getSuppPrivInfoBytes` in interface `ConcatKDFParams`
Returns:
  the SuppPrivInfo attribute

### setSuppPrivInfoBytes

public void setSuppPrivInfoBytes(@Nullable byte[] newSuppPrivInfo)
Sets the SuppPrivInfo attribute.

Specified by:
  `setSuppPrivInfoBytes` in interface `ConcatKDFParams`
Parameters:
  `newSuppPrivInfo` - SuppPrivInfo attribute in its padded byte array form

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements